# Table of Contents

- [Table of Contents](#table-of-contents)
- [FuzzyFinder](#fuzzyfinder)
    - [Telescope Extensions](#telescope-extensions)
      - [Sorter](#sorter)
      - [Utils](#utils)
      - [Grep](#grep)
      - [Integration for another plugin](#integration-for-another-plugin)

# FuzzyFinder

- [nvim-telescope/telescope.nvim](https://github.com/nvim-telescope/telescope.nvim) ![](https://img.shields.io/github/stars/nvim-telescope/telescope.nvim) ![](https://img.shields.io/github/last-commit/nvim-telescope/telescope.nvim) ![](https://img.shields.io/github/commit-activity/y/nvim-telescope/telescope.nvim)
- [vijaymarupudi/nvim-fzf](https://github.com/vijaymarupudi/nvim-fzf) ![](https://img.shields.io/github/stars/vijaymarupudi/nvim-fzf) ![](https://img.shields.io/github/last-commit/vijaymarupudi/nvim-fzf) ![](https://img.shields.io/github/commit-activity/y/vijaymarupudi/nvim-fzf)
  - [vijaymarupudi/nvim-fzf-commands](https://github.com/vijaymarupudi/nvim-fzf-commands) ![](https://img.shields.io/github/stars/vijaymarupudi/nvim-fzf-commands) ![](https://img.shields.io/github/last-commit/vijaymarupudi/nvim-fzf-commands) ![](https://img.shields.io/github/commit-activity/y/vijaymarupudi/nvim-fzf-commands)
- [amirrezaask/fuzzy.nvim](https://github.com/amirrezaask/fuzzy.nvim) ![](https://img.shields.io/github/stars/amirrezaask/fuzzy.nvim) ![](https://img.shields.io/github/last-commit/amirrezaask/fuzzy.nvim) ![](https://img.shields.io/github/commit-activity/y/amirrezaask/fuzzy.nvim)
- [camspiers/snap](https://github.com/camspiers/snap) ![](https://img.shields.io/github/stars/camspiers/snap) ![](https://img.shields.io/github/last-commit/camspiers/snap) ![](https://img.shields.io/github/commit-activity/y/camspiers/snap)
- [ibhagwan/fzf-lua](https://github.com/ibhagwan/fzf-lua) ![](https://img.shields.io/github/stars/ibhagwan/fzf-lua) ![](https://img.shields.io/github/last-commit/ibhagwan/fzf-lua) ![](https://img.shields.io/github/commit-activity/y/ibhagwan/fzf-lua)
- [RishabhRD/nvim-finder](https://github.com/RishabhRD/nvim-finder) ![](https://img.shields.io/github/stars/RishabhRD/nvim-finder) ![](https://img.shields.io/github/last-commit/RishabhRD/nvim-finder) ![](https://img.shields.io/github/commit-activity/y/RishabhRD/nvim-finder)
- [shoumodip/helm.nvim](https://github.com/shoumodip/helm.nvim) ![](https://img.shields.io/github/stars/shoumodip/helm.nvim) ![](https://img.shields.io/github/last-commit/shoumodip/helm.nvim) ![](https://img.shields.io/github/commit-activity/y/shoumodip/helm.nvim)
- [AdeAttwood/ivy.nvim](https://github.com/AdeAttwood/ivy.nvim) ![](https://img.shields.io/github/stars/AdeAttwood/ivy.nvim) ![](https://img.shields.io/github/last-commit/AdeAttwood/ivy.nvim) ![](https://img.shields.io/github/commit-activity/y/AdeAttwood/ivy.nvim)
- [beardedsakimonkey/nvim-ufind](https://github.com/beardedsakimonkey/nvim-ufind) ![](https://img.shields.io/github/stars/beardedsakimonkey/nvim-ufind) ![](https://img.shields.io/github/last-commit/beardedsakimonkey/nvim-ufind) ![](https://img.shields.io/github/commit-activity/y/beardedsakimonkey/nvim-ufind)
- [echasnovski/mini.fuzzy](https://github.com/echasnovski/mini.fuzzy) ![](https://img.shields.io/github/stars/echasnovski/mini.fuzzy) ![](https://img.shields.io/github/last-commit/echasnovski/mini.fuzzy) ![](https://img.shields.io/github/commit-activity/y/echasnovski/mini.fuzzy)
- [cpkio/nvim-fzf-windows](https://github.com/cpkio/nvim-fzf-windows) ![](https://img.shields.io/github/stars/cpkio/nvim-fzf-windows) ![](https://img.shields.io/github/last-commit/cpkio/nvim-fzf-windows) ![](https://img.shields.io/github/commit-activity/y/cpkio/nvim-fzf-windows)

### Telescope Extensions

#### Sorter

- [nvim-telescope/telescope-fzf-native.nvim](https://github.com/nvim-telescope/telescope-fzf-native.nvim) ![](https://img.shields.io/github/stars/nvim-telescope/telescope-fzf-native.nvim) ![](https://img.shields.io/github/last-commit/nvim-telescope/telescope-fzf-native.nvim) ![](https://img.shields.io/github/commit-activity/y/nvim-telescope/telescope-fzf-native.nvim)
- [nvim-telescope/telescope-fzy-native.nvim](https://github.com/nvim-telescope/telescope-fzy-native.nvim) ![](https://img.shields.io/github/stars/nvim-telescope/telescope-fzy-native.nvim) ![](https://img.shields.io/github/last-commit/nvim-telescope/telescope-fzy-native.nvim) ![](https://img.shields.io/github/commit-activity/y/nvim-telescope/telescope-fzy-native.nvim)
- [natecraddock/telescope-zf-native.nvim](https://github.com/natecraddock/telescope-zf-native.nvim) ![](https://img.shields.io/github/stars/natecraddock/telescope-zf-native.nvim) ![](https://img.shields.io/github/last-commit/natecraddock/telescope-zf-native.nvim) ![](https://img.shields.io/github/commit-activity/y/natecraddock/telescope-zf-native.nvim)

#### Utils

- [adoyle-h/ad-telescope-extensions.nvim](https://github.com/adoyle-h/ad-telescope-extensions.nvim) ![](https://img.shields.io/github/stars/adoyle-h/ad-telescope-extensions.nvim) ![](https://img.shields.io/github/last-commit/adoyle-h/ad-telescope-extensions.nvim) ![](https://img.shields.io/github/commit-activity/y/adoyle-h/ad-telescope-extensions.nvim)
- [adoyle-h/telescope-extension-maker.nvim](https://github.com/adoyle-h/telescope-extension-maker.nvim) ![](https://img.shields.io/github/stars/adoyle-h/telescope-extension-maker.nvim) ![](https://img.shields.io/github/last-commit/adoyle-h/telescope-extension-maker.nvim) ![](https://img.shields.io/github/commit-activity/y/adoyle-h/telescope-extension-maker.nvim)

#### Grep

- [nvim-telescope/telescope-rg.nvim](https://github.com/nvim-telescope/telescope-rg.nvim) ![](https://img.shields.io/github/stars/nvim-telescope/telescope-rg.nvim) ![](https://img.shields.io/github/last-commit/nvim-telescope/telescope-rg.nvim) ![](https://img.shields.io/github/commit-activity/y/nvim-telescope/telescope-rg.nvim)
- [nvim-telescope/telescope-fzf-writer.nvim](https://github.com/nvim-telescope/telescope-fzf-writer.nvim) ![](https://img.shields.io/github/stars/nvim-telescope/telescope-fzf-writer.nvim) ![](https://img.shields.io/github/last-commit/nvim-telescope/telescope-fzf-writer.nvim) ![](https://img.shields.io/github/commit-activity/y/nvim-telescope/telescope-fzf-writer.nvim)

#### Integration for another plugin

- [nvim-telescope/telescope-packer.nvim](https://github.com/nvim-telescope/telescope-packer.nvim) ![](https://img.shields.io/github/stars/nvim-telescope/telescope-packer.nvim) ![](https://img.shields.io/github/last-commit/nvim-telescope/telescope-packer.nvim) ![](https://img.shields.io/github/commit-activity/y/nvim-telescope/telescope-packer.nvim)
- [nvim-telescope/telescope-github.nvim](https://github.com/nvim-telescope/telescope-github.nvim) ![](https://img.shields.io/github/stars/nvim-telescope/telescope-github.nvim) ![](https://img.shields.io/github/last-commit/nvim-telescope/telescope-github.nvim) ![](https://img.shields.io/github/commit-activity/y/nvim-telescope/telescope-github.nvim)
- [nvim-telescope/telescope-dap.nvim](https://github.com/nvim-telescope/telescope-dap.nvim) ![](https://img.shields.io/github/stars/nvim-telescope/telescope-dap.nvim) ![](https://img.shields.io/github/last-commit/nvim-telescope/telescope-dap.nvim) ![](https://img.shields.io/github/commit-activity/y/nvim-telescope/telescope-dap.nvim)
- [benfowler/telescope-luasnip.nvim](https://github.com/benfowler/telescope-luasnip.nvim) ![](https://img.shields.io/github/stars/benfowler/telescope-luasnip.nvim) ![](https://img.shields.io/github/last-commit/benfowler/telescope-luasnip.nvim) ![](https://img.shields.io/github/commit-activity/y/benfowler/telescope-luasnip.nvim)
- [delphinus/telescope-memo.nvim](https://github.com/delphinus/telescope-memo.nvim) ![](https://img.shields.io/github/stars/delphinus/telescope-memo.nvim) ![](https://img.shields.io/github/last-commit/delphinus/telescope-memo.nvim) ![](https://img.shields.io/github/commit-activity/y/delphinus/telescope-memo.nvim)
- [dhruvmanila/telescope-bookmarks.nvim](https://github.com/dhruvmanila/telescope-bookmarks.nvim) ![](https://img.shields.io/github/stars/dhruvmanila/telescope-bookmarks.nvim) ![](https://img.shields.io/github/last-commit/dhruvmanila/telescope-bookmarks.nvim) ![](https://img.shields.io/github/commit-activity/y/dhruvmanila/telescope-bookmarks.nvim)
